# Aspect_TypeOfPrimitive.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | Aspect_TypeOfPrimitive { Aspect_TOP_UNKNOWN, Aspect_TOP_POLYLINE, Aspect_TOP_POLYGON, Aspect_TOP_SEGMENTS, Aspect_TOP_ARCS, Aspect_TOP_POLYARCS, Aspect_TOP_POINTS, Aspect_TOP_MARKERS }

## Enumeration Type Documentation

enum Aspect_TypeOfPrimitive

Enumeration values:

  Aspect_TOP_UNKNOWN |
  Aspect_TOP_POLYLINE |
  Aspect_TOP_POLYGON |
  Aspect_TOP_SEGMENTS |
  Aspect_TOP_ARCS |
  Aspect_TOP_POLYARCS |
  Aspect_TOP_POINTS |
  Aspect_TOP_MARKERS |